---
title: repeating-conic-gradient()
slug: Web/CSS/repeating-conic-gradient()
tags:
  - CSS
  - CSS Function
  - CSS Images
  - Function
  - Graphics
  - Layout
  - Reference
  - Web
  - gradient
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>repeating-conic-gradient()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Functions">function</a> creates an image consisting of a repeating gradient (rather than a {{cssxref('conic-gradient','single gradient')}}) with color transitions rotated around a center point (rather than {{cssxref('repeating-radial-gradient','radiating from the center')}}).</span></p>

<div class="hidden">
<p>\{{EmbedInteractiveExample("pages/css/function-repeating-conic-gradient.html")}}</p>
The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css language-css notranslate" id="css">/* Starburst: a blue on blue starburst: the gradient
   is a starburst of lighter and darker blue,
   centered in the upper left quandrant,
   offset by 3degrees so there is no up/down straight line */
background: repeating-conic-gradient(
    from 3deg at 25% 25%,
    hsl(200, 100%, 50%) 0deg 15deg,
    hsl(200, 100%, 60%) 10deg 30deg);
);</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt>{{CSSxRef("&lt;angle&gt;")}}</dt>
	<dd>Preceded by the <code>from</code> keyterm, and taking an angle as its value, defines the gradient rotation in clockwise direction.</dd>
	<dt><code>&lt;position&gt;</code></dt>
	<dd>Using the same length, order and keyterm values as the <a href="/en-US/docs/Web/CSS/background-position">background-position</a> property, the position defines center of the gradient. If omitted, the default value is <code>center</code>, meaing the gradient will be centered, .</dd>
	<dt><code>&lt;angular-color-stop&gt;</code></dt>
	<dd>A color-stop's {{CSSxRef("&lt;color&gt;")}} value, followed by one or two optional stop positions, (an {{CSSxRef("&lt;angle&gt;")}} along the gradient's circumference axis). The last color stop minus the first color-stop angle defines the size of the repeating gradient.</dd>
	<dt><code>&lt;color-hint&gt;</code></dt>
	<dd>Th color-hint is an interpolation hint defining how the gradient progresses between adjacent color stops. The length defines at which point between two color stops the gradient color should reach the midpoint of the color transition. If omitted, the midpoint of the color transition is the midpoint between two color stops.</dd>
	<dd>
	<div class="note">
	<p><strong>Note:</strong> Rendering of <a href="#Gradient_with_multiple_color_stops">color stops in CSS gradients</a> follows the same rules as color stops in <a href="/en-US/docs/Web/SVG/Tutorial/Gradients">SVG gradients</a>.</p>
	</div>
	</dd>
</dl>

<h2 id="Description">Description</h2>

<p>Example repeating conic gradients include starbursts. The result of the <code>repeating-conic-gradient()</code> function is an object of the {{CSSxRef("&lt;gradient&gt;")}} data type, which is a special kind of {{CSSxRef("&lt;image&gt;")}}.</p>

<p>If neither the first nor the last color stops include a color stop angle greater than 0deg or less than 360 degrees respectively, the conic-gradient will not repeat.</p>

<p>As with any gradient, a repeating-conic gradient has <a href="/en-US/docs/CSS/image#no_intrinsic">no intrinsic dimensions</a>; i.e., it has no natural or preferred size, nor a preferred ratio. Its concrete size will match the size of the element it applies to, or the size the <code>&lt;image&gt;</code> is set to if it's set to something other than the element's size.</p>

<p>Because <code>&lt;gradient&gt;</code>s belong to the <code>&lt;image&gt;</code> data type, they can only be used where <code>&lt;image&gt;</code>s can be used. For this reason, <code>repeating-conic-gradient()</code> won't work on {{CSSxRef("background-color")}} and other properties that use the {{CSSxRef("&lt;color&gt;")}} data type.</p>

<div class="notecard note">
<p>To create a conic gradient that doe not repeat, make the gradient a full 360 degree rotation, or use the {{CSSxRef("conic-gradient")}} function instead.</p>
</div>

<h3 id="Understanding_repeating_conic_gradients">Understanding repeating conic gradients</h3>

<p>The repeating-conic-gradient syntax is similar to the  {{CSSxRef("conic-gradient")}} and {{CSSxRef("repeating-radial-gradient")}} syntax. Like the non-repeating conic-gradient, the color-stops are placed around a gradient arc. Like the repeating radial gradient, the size of the repeating section is the first color stop subtracted from the angle of the last color stop.</p>

<p><img alt="Comparison of the color stops for repeating and non-repeating conic and radial gradients" src="https://mdn.mozillademos.org/files/16798/repeatingconicgradient.png" style="height: 376px; width: 1403px;"></p>

<p>The above gradients are defined as being one third blue, one third red, and one third yellow.</p>

<pre class="notranslate">repeating-conic-gradient(from 0deg, red 0deg 30deg, yellow 30deg 60deg, blue 60deg 90deg);

repeating-radial-gradient(red 0 8%, yellow 8% 16%, blue 16% 24%);

conic-gradient(red 120deg, yellow 120deg 240deg, blue 240deg);

radial-gradient(red 33%, yellow 33% 66%, blue 66%);
</pre>

<p>For a repeating gradient to repeat we define the first and last color stops. Like in non-repeating gradients, the first and last color stops are assumed to be 0 and either 100% or 360deg if not explicitly declared. When defaulting to these values, the repeating arc is 360 degrees, and therefore doesn't repeat.</p>

<p>Like the non-repeating conic gradient, the color-stops are placed around a gradient arc -- the circumference of a circle, rather than on the gradient line emerging from the center of the gradient. The colors transition as if spun around the center of a circle, starting at the top if no <code>from &lt;angle&gt;</code> is declared, and going clockwise for the size of the angle that is the different between the largest and smallest color angle, then repeating.</p>

<p>A repeating conic gradient is specified by indicating a rotation angle, the center of the gradient, and then specifying a list of color-stops. Like non-repeating conic gradients, the color-stops of a repeating conic gradient are specified with an {{cssxref('angle')}}. Units include <code>deg</code> for degrees, <code>grad</code> for gradients, <code>rad</code> for radians, and <code>turn</code> for turns. There are 360 degrees, 400 gradians, 2π radians, and 1 turn in a circle. Browsers supporting repeating conic gradients also accept percent values, with 100% equaling 360 degrees, but this is not in the specification.</p>

<p>Radial and conic gradient syntax provides for positioning the center of the gradient anywhere within, or even outside, the image. The values for the position are similar to the syntax for 2-value {{cssxref('background-position')}}.</p>

<p>The gradient arc is part of the circumference of the gradient. 0 degress is north, or 12:00pm. The colors of the gradient are determined by the angled color stops, their starting points, ending points, and, in between, and optional angled color-stop points. The transitions between colors can be altered with color hints between adjacent colors' color stops.</p>

<h4 id="Customizing_gradients">Customizing gradients</h4>

<p>By adding more angled color-stop points on the gradient arc, you can create a highly customized transition between multiple colors. A color-stop's position can be explicitly defined by using an {{CSSxRef("&lt;angle&gt;")}}. If you don't specify the location of a color stop, it is placed halfway between the one that precedes it and the one that follows it. Like the non-repeating gradient counterpart, If you don't specify an angle for the first or last color stop, the values are will be 0deg and 360deg. If you don't declare an angle for either, you'll get a non-repeating conic gradient. If you declare a non 0 or 360degree for the first or last respectively, the gradient will repeat based on that value. For example, if you don't declare an angle for the first color, and declare 10% on the last color stop, the arc will repeat 10 times. Rather, the starting point is the first color stop declared, and the last color stop is the last color stop angle declared.. The following two gradients are equivalent</p>

<pre class="brush: css notranslate">repeating-conic-gradient(red, orange, yellow, green, blue 50%);
repeating-conic-gradient(from -45deg, red 45deg, orange, yellow, green, blue 225deg)</pre>

<p>By default, colors transition smoothly from the color at one color stop to the color at the subsequent color stop, with the midpoint between the colors being the half way point between the color transition. You can move this color transition midpoint to any point between two color stops by adding a color hint, indicating where the middle of the color transition should be.</p>

<p>If two or more color stops are at the same location, the transition will be a hard line between the first and last colors declared at that location.</p>

<p>While you can mix and match different angle units, don't. It makes CSS hard to read.</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Browsers do not provide any special information on background images to assistive technology. This is important primarily for screen readers, as a screen reader will not announce its presence and therefore convey nothing to its users. While it is possible to create pie charts, checkerboards, and other effects with conic gradients, CSS images provide no native way to assign alternative text, and therefore the image represented by the conic gradient will not be accessible to screen reader users. If the image contains information critical to understanding the page's overall purpose, it is better to describe it semantically in the document.</p>

<ul>
	<li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.1_%E2%80%94_Providing_text_alternatives_for_non-text_content">MDN Understanding WCAG, Guideline 1.1 explanations</a></li>
	<li><a href="https://www.w3.org/TR/2016/NOTE-UNDERSTANDING-WCAG20-20161007/text-equiv-all.html">Understanding Success Criterion 1.1.1 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Black_and_white_starburst">Black and white starburst</h3>

<div class="hidden">
<pre class="brush: css notranslate">div {
  width: 200px;
  height: 200px;
}</pre>

<pre class="brush: html notranslate">&lt;div&gt;&lt;/div&gt;
</pre>
</div>

<pre class="brush: css notranslate">div {
  background-image:
     repeating-conic-gradient(#fff 0 9deg, #000 9deg 18deg);
}
</pre>

<p>{{EmbedLiveSample("Black_and_white_starburst", 220, 220)}}</p>

<h3 id="Off-centered_gradient">Off-centered gradient</h3>

<p>This gradient repeats 18 times, but since we only see the right half, we only see 9 repeats.</p>

<div class="hidden">
<pre class="brush: css notranslate">div {
  width: 200px;
  height: 200px;
}</pre>

<pre class="brush: html notranslate">&lt;div&gt;&lt;/div&gt;
</pre>
</div>

<pre class="brush: css notranslate">div {
  background: repeating-conic-gradient(
    from 3deg at 25% 25%,
    green, blue 2deg 5deg, green, yellow 15deg 18deg, green 20deg);
}</pre>

<p>{{EmbedLiveSample("Off-centered_gradient", 220, 220)}}</p>

<h3 id="More_repeating-conic-gradient_examples">More repeating-conic-gradient examples</h3>

<p>Please see <a href="/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients">Using CSS gradients</a> for more examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS4 Images', '#repeating-gradients', 'repeating-conic-gradient()')}}</td>
			<td>{{Spec2('CSS4 Images')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("css.types.image.gradient.conic-gradient")}}</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients">Using CSS gradients</a></li>
	<li>Other gradient functions: {{CSSxRef("conic-gradient")}}, {{CSSxRef("linear-gradient")}}, {{CSSxRef("repeating-linear-gradient")}}, {{CSSxRef("radial-gradient")}}, {{CSSxRef("repeating-radial-gradient")}}</li>
	<li>{{cssxref("&lt;image&gt;")}}</li>
	<li>{{cssxref("_image","image()")}}</li>
	<li>{{cssxref("element()")}}</li>
	<li>{{cssxref("image-set","image-set()")}}</li>
	<li>{{cssxref("cross-fade")}}</li>
</ul>
